REM Delete and recreate temporary Logdump folder. Create the first line in FileCopy.log. That line contains the version
  rd /Q /S  %temp%\Logdump
  mkdir %temp%\Logdump
  Echo>%temp%\Logdump\FileCopy.log Logfiles collected via "Collect Zylinc Logfiles V1.0.bat", available via "Zylinc Unified Help" web portal. 
  echo off
  cls
  echo You can get the latest version of "Collect Zylinc Logfiles V1.0.bat" 
  echo via "Zylinc Unified Help" web portal. 
  echo.

  
REM Copy the part of registry that contains for example, memory settings, java versions, and tomcat versions
  echo Copying Tomcat registry settings...
  if exist "%programfiles%\Apache Software Foundation" regedit /E %temp%\Logdump\TomcatRegistrySettings.log "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Apache Software Foundation"
  if exist "%ProgramFiles(x86)%\Apache Software Foundation" regedit /E %temp%\Logdump\TomcatRegistrySettingsX86.log "HKEY_LOCAL_MACHINE\SOFTWARE\Apache Software Foundation"

  
REM Create a list that contains the folder names of all Tomcat instances, and store the list in %temp%\apachedirs.txt
  if exist "%programfiles%\Zylinc\ApacheInstances" dir "%programfiles%\Zylinc\ApacheInstances" /b/ad >%temp%\apachedirs.txt
  if exist "%programfiles%\Apache Software Foundation" dir "%programfiles%\Apache Software Foundation" /b/ad >>%temp%\apachedirs.txt
  if exist "%ProgramFiles(x86)%\Apache Software Foundation" dir "%ProgramFiles(x86)%\Apache Software Foundation" /b/ad >>%temp%\apachedirs.txt

 
REM Iterate through all Tomcat instance folder names in %temp%\apachedirs.txt, and copy the Logs subfolder to a new folder in Logdump
REM The target folder name also contains computer name and Tomcat instance name
  for /F "tokens=*" %%A in (%temp%\apachedirs.txt) do (
    echo Copying Tomcat %%A Logs folder...
	if exist "%ProgramFiles(x86)%\Apache Software Foundation\%%A\Logs" xcopy "%ProgramFiles(x86)%\Apache Software Foundation\%%A\Logs" "%temp%\Logdump\Tomcat_Logs_%computername%_%%A" /d/s/h/c/i >>%temp%\Logdump\FileCopy.log 	
    if exist "%programfiles%\Apache Software Foundation\%%A\Logs" xcopy "%programfiles%\Apache Software Foundation\%%A\Logs" "%temp%\Logdump\Tomcat_Logs_%computername%_%%A" /d/s/h/c/i >>%temp%\Logdump\FileCopy.log 	
	if exist "%programfiles%\Zylinc\ApacheInstances\%%A\Logs" xcopy "%programfiles%\Zylinc\ApacheInstances\%%A\Logs" "%temp%\Logdump\Tomcat_Logs_%computername%_%%A" /d/s/h/c/i >>%temp%\Logdump\FileCopy.log 
    )
  del %temp%\apachedirs.txt

  
REM Create a folder for ZyDesk logs. The folder's name also includes user name and computer name.
REM Then copy ZyDesk's log folder to that new folder
  echo Copying ZyDesk Log folder...
  if exist "%appdata%\Zylinc\ZyDesk\Log" xcopy "%appdata%\Zylinc\ZyDesk\Log" "%temp%\Logdump\ZyDesk_Log_%username%_%computername%" /d/s/h/c/i >>%temp%\Logdump\FileCopy.log 

  
REM Copy files with known Zylinc log file names and extensions to a new subfolder in Logdump that also contains computer name
REM Copy the directory structure as well
  echo Copying ProgramData Logs log files...
  if exist "%programdata%\Zylinc" xcopy "%programdata%\Zylinc\*.txt" "%temp%\Logdump\ProgramData_Logs_%computername%" /d/s/h/c/i >>%temp%\Logdump\FileCopy.log 
  if exist "%programdata%\Zylinc" xcopy "%programdata%\Zylinc\*.log*" "%temp%\Logdump\ProgramData_Logs_%computername%" /d/s/h/c/i >>%temp%\Logdump\FileCopy.log 
  if exist "%programdata%\Zylinc" xcopy "%programdata%\Zylinc\*.zip" "%temp%\Logdump\ProgramData_Logs_%computername%" /d/s/h/c/i >>%temp%\Logdump\FileCopy.log 

REM Get the path to the active user's desktop folder, and store it in %DESKTOP%
  CHCP 1251 >Nul
  for /f "usebackq tokens=1,2,*" %%B IN (`reg query "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" /v Desktop`) do set DESKTOP=%%D
  CHCP 866 >Nul
  for /f "delims=" %%i IN ('echo %DESKTOP%') do set DESKTOP=%%i

  
REM Zip compress the Logdump folder to Logdump.zip on the desktop. If PowerShell v5 is not available, just move the folder to desktop without zipping it
  echo Compressing...
  if exist %DESKTOP%\Logdump.zip del %DESKTOP%\Logdump.zip
  powershell Compress-Archive -Path "%temp%\Logdump" -DestinationPath "%DESKTOP%\Logdump.zip"
  if exist %DESKTOP%\Logdump  rd /Q /S %DESKTOP%\Logdump
  if not exist %DESKTOP%\Logdump.zip move "%temp%\Logdump" "%DESKTOP%\Logdump"
  if exist %temp%\Logdump  rd /Q /S %temp%\Logdump
  cls
  echo.
  echo All relevant Zylinc logfiles have now been collected and saved in
  echo Logdump on your desktop. If PowerShell version 5 or later was available,
  echo Logdump will be a zipped folder. If not, you can zip the folder manually.
  echo.
  pause